View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
09973Feature requestsExpression Managerpublic2021-09-07 08:10
Reporterfvanderstarre Assigned To 
PrioritynormalSeverityfeature 
Status feedbackResolutionreopened 
Fixed in Version4.0.0-RC2 
Summary09973: Access to referring url in Expression manager variable
DescriptionLimeSurvey can store referring url in survey table (refurl); but data is not directly accessible in Expressino manager, only by javascript workaround.
TagsNo tags attached.
Bug heat8

Users monitoring this issue

User List galads

Activities

DenisChenu

DenisChenu

2015-10-16 08:38

developer   ~33360

Yes, not only REFURL but whole DB response information : lastpage/startdate/submitdate etc ...
ollehar

ollehar

2015-10-19 12:05

administrator   ~33392

Hi!

Could you give an example expression on how the feature would look?

Regards
Olle
ollehar

ollehar

2015-10-19 12:05

administrator   ~33393

Need example expression.
DenisChenu

DenisChenu

2015-10-19 12:58

developer   ~33396

You acced to this survey by {REFURL} , the last page you see is {LASTPAGE}, the start language we {STARTLANGUAGE} etc ....

But maybe here : it's best to have an event
here
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/replacements_helper.php#L588 (add $pluginReplacement)
or
here : https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/expressions/em_manager_helper.php#L4205 : add $this->knowVars[] for plugin
ollehar

ollehar

2015-10-20 14:00

administrator   ~33400

Should be an easy fix.
DenisChenu

DenisChenu

2015-10-27 14:29

developer   ~33456

@olle : why move it to acknowledged ?
Mazi

Mazi

2020-10-05 14:52

partner   ~60067

We recently stumbled upon this missing feature again. @ollehar, if this is an easy fix, can we implement it?
ollehar

ollehar

2020-10-05 14:53

administrator   ~60068

@DenisChenu knows better, I think.
DenisChenu

DenisChenu

2020-10-05 15:14

developer   ~60069

https://github.com/LimeSurvey/LimeSurvey/blob/aa8a5ddd3db10c2b74c6a55571dd478614d4fbfd/application/core/plugins/expressionFixedDbVar/expressionFixedDbVar.php#L75
DenisChenu

DenisChenu

2020-10-05 15:17

developer   ~60070

Just reopen for cleaner Notes
( set as readonly for all user it's not a good solution in my opinion)

Added in 4.0.0, sur after https://github.com/LimeSurvey/LimeSurvey/commit/58fbcca05fab7835e463316a39606294e5454fa2#diff-01b302b038fb7ae02604da142aa07a2f

In manual : https://manual.limesurvey.org/ExpressionFixedDbVar
Mazi

Mazi

2020-10-05 15:19

partner   ~60071

Ahh, nice, Denis!

Is that a plugin enable by default? Because otherwise my guess is that this will never be used.

And can we have that for LS3 as well since LS4 is not really used yet but some users need it for LS3.
DenisChenu

DenisChenu

2020-10-05 15:22

developer   ~60072

Not enable by default, why ?
Since we have a way to add feature by extra click …

For 3.X : need https://github.com/LimeSurvey/LimeSurvey/pull/1320 and maybe some other.
DenisChenu

DenisChenu

2020-10-05 15:24

developer   ~60073

Remove me from assigned, i don't make any decision to put it in 3.X

When i create EM event : i ask to do it in 3.X …
Mazi

Mazi

2020-10-06 07:59

partner   ~60076

@DeniChenu, if @ollehar or @c_schmitz agree to add this plugin to LS3, would you be able to adjust it for this version?
DenisChenu

DenisChenu

2020-10-06 08:51

developer   ~60078

Need discussion …

Issue History

Date Modified Username Field Change
2015-10-16 08:30 fvanderstarre New Issue
2015-10-16 08:38 DenisChenu Note Added: 33360
2015-10-19 12:05 ollehar Note Added: 33392
2015-10-19 12:05 ollehar Note Added: 33393
2015-10-19 12:05 ollehar Assigned To => ollehar
2015-10-19 12:05 ollehar Status new => feedback
2015-10-19 12:58 DenisChenu Note Added: 33396
2015-10-20 13:59 ollehar Assigned To ollehar =>
2015-10-20 14:00 ollehar Note Added: 33400
2015-10-20 14:00 ollehar Status feedback => acknowledged
2015-10-27 14:29 DenisChenu Note Added: 33456
2020-10-05 14:52 Mazi Note Added: 60067
2020-10-05 14:53 ollehar Note Added: 60068
2020-10-05 15:14 DenisChenu Assigned To => DenisChenu
2020-10-05 15:14 DenisChenu Status acknowledged => resolved
2020-10-05 15:14 DenisChenu Resolution open => fixed
2020-10-05 15:14 DenisChenu Fixed in Version => 4.0.0-RC2
2020-10-05 15:14 DenisChenu Note Added: 60069
2020-10-05 15:17 DenisChenu Status resolved => feedback
2020-10-05 15:17 DenisChenu Resolution fixed => reopened
2020-10-05 15:17 DenisChenu Note Added: 60070
2020-10-05 15:17 DenisChenu Status feedback => resolved
2020-10-05 15:17 DenisChenu Status resolved => feedback
2020-10-05 15:17 DenisChenu Status feedback => resolved
2020-10-05 15:17 DenisChenu Resolution reopened => fixed
2020-10-05 15:19 Mazi Note Added: 60071
2020-10-05 15:22 DenisChenu Status resolved => feedback
2020-10-05 15:22 DenisChenu Resolution fixed => reopened
2020-10-05 15:22 DenisChenu Note Added: 60072
2020-10-05 15:23 DenisChenu Assigned To DenisChenu =>
2020-10-05 15:24 DenisChenu Note Added: 60073
2020-10-06 07:59 Mazi Note Added: 60076
2020-10-06 08:51 DenisChenu Note Added: 60078
2020-10-06 09:00 c_schmitz Issue Monitored: cdorin
2021-09-07 08:10 galads Issue Monitored: galads
2021-09-07 08:10 galads Bug heat 8 => 10
2021-09-07 08:10 galads Issue End Monitor: cdorin
2021-09-07 08:10 galads Bug heat 10 => 8